@import url('https://fonts.googleapis.com/css2?family=Bakbak+One&display=swap');

:root{
	--offwhite:#F5F5F5;
	--blue:#30A7D7;
	--lightblue: #69caf1;
	--green:#4DAD5B;
	--darkgrey: #313131;
	--ligthgrey:#D9D9D9;
	--orange: #ee6b2f;
	--lightgreen:#6cd67c;
	--lightorange:#ee8b2f;
	--darkyellow: #fcd500;
	--lightyellow:#ffec7f;
}

*{
	margin: 0;
	padding: 0 ;
	font-family: 'Bakbak One', cursive;
}

html{
	background-color: #ffffff;
	height:100%;
	scroll-behavior: smooth;
}

body{
	display: flex;
	flex-direction: column;
	background-color:var(--ligthgrey);
	min-height: 100%;
}

/* CSS för header */

.body_header{
 height: 10rem;
 display: flex;
 flex-direction: column;
 align-items: center;
 padding-top: 2rem;
 text-align: center;
 background-color: var(--darkgrey) ;
 color: #4DAD5B;

}

#search-view-btn, #team-view-btn{
	border-radius: 2em;
	border: none;
	width: 8em;
	font-size: 16px;
	padding: 0.2em;
	margin-top: 1rem;
	background-color: var(--blue);
	color: var(--darkgrey);	
}

#search-view-btn:hover, #team-view-btn:hover, #search-view-btn:focus, #team-view-btn:focus {
	background-color: var(--lightblue);
	cursor: pointer;
}

#search-view-btn{
	margin-right: 0.5em;
}

#team-view-btn{
	margin-left: 0.5em;
}

/* CSS för main */

.body_main{
	display: flex;
	flex-direction: column;
	align-items: center;
	height: auto;
	width: 80vw;
	max-width: 1024px;
	margin:auto;
	background-color: var(--offwhite);
	color: var(--darkgrey);
}

/* CSS för footer */

.body_footer{
	height: 6rem;
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	justify-content: flex-start;
	text-align: left;
	padding: 2rem;
	background-color: var(--darkgrey) ;
	color: var(--offwhite);
}

   .body_footer >*{
	margin-bottom: 0.5rem;
}

   #github-link{
	margin-left: 0.5rem;
	margin-top: 0.3rem;
}

   a:link{
	color: var(--offwhite);
}

   a:visited{
	color: var(--orange)
}


/* Anpassning för när texten inte längre wrappar */

@media screen and (min-width: 336px){

	#search-view-btn, #team-view-btn{
		margin-top: 3.8em;
	}
}


/* Anpassning för större skärm */

@media screen and (min-width: 768px){
	#search-btn{
		margin-right: 2em;
	}
	
	#view-team-btn{
		margin-left: 2em;
	}
}

